com.verisign.epp.codec.loginsecpolicy.v02

## Enum EPPLoginSecPolicyEvent.EventLevel

- java.lang.Object
- - java.lang.Enum<EPPLoginSecPolicyEvent.EventLevel>
  - - com.verisign.epp.codec.loginsecpolicy.v02.EPPLoginSecPolicyEvent.EventLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EPPLoginSecPolicyEvent.EventLevel>
  Enclosing class:
    EPPLoginSecPolicyEvent

      public static enum EPPLoginSecPolicyEvent.EventLevel
      extends java.lang.Enum<EPPLoginSecPolicyEvent.EventLevel>
      implements java.io.Serializable, java.lang.Cloneable

  Possible list of security event levels.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `error` An error event that requires immediate action.
    `warning` A warning event that needs action.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPLoginSecPolicyEvent.EventLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPLoginSecPolicyEvent.EventLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### warning

          public static final EPPLoginSecPolicyEvent.EventLevel warning

      A warning event that needs action.

    - #### error

          public static final EPPLoginSecPolicyEvent.EventLevel error

      An error event that requires immediate action.

  - ### Method Detail

    - #### values

          public static EPPLoginSecPolicyEvent.EventLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLoginSecPolicyEvent.EventLevel c : EPPLoginSecPolicyEvent.EventLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLoginSecPolicyEvent.EventLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.